Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/ydcv: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Sat, 4 Mar 2017 14:14:32 +0800

https://github.com/felixonmars/ydcv
YouDao Console Version - Chinese online translate
---
 testing/ydcv/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/ydcv/APKBUILD
diff --git a/testing/ydcv/APKBUILD b/testing/ydcv/APKBUILD
new file mode 100644
index 0000000..180f0ec
--- /dev/null
+++ b/testing/ydcv/APKBUILD
_at_@ -0,0 +1,32 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=ydcv
+pkgver=0.4
+pkgrel=0
+pkgdesc="YouDao Console Version - Chinese online translate"
+url="https://github.com/felixonmars/ydcv"
+arch="noarch"
+license="GPL"
+depends="" # TODO: Either python2 or python3 is needed
+subpackages="$pkgname-zsh-completion:zshcomp"
+source="https://github.com/felixonmars/${pkgname}/archive/${pkgver}.tar.gz"
+builddir="$srcdir/"$pkgname-$pkgver
+
+package() {
+	mkdir -p "$pkgdir"/usr/bin/$pkgname
+	install -Dm755 "$builddir"/ydcv.py \
+		"$pkgdir"/usr/bin/$pkgname || return 1
+
+}
+
+zshcomp() {
+	pkgdesc="Zsh completions for $pkgname"
+	depends=""
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+
+	mkdir -p "$subpkgdir"/usr/share/zsh/site-functions/
+	install -Dm644 "$builddir"/contrib/zsh_completion \
+		"$subpkgdir"/usr/share/zsh/site-functions/_$pkgname || return 1
+}
+
+sha512sums="96c19ab8496159c90ef634533cd2f4e0a3d8a85449ae988ef0cb4d4d73e106b6383ad8c4eef5bdd0e9c7ae07db3ba2cf20112c8fa34d9487786d0cd4744f9bf3  0.4.tar.gz"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Mar 04 2017 - 14:14:32 GMT